# GCC_ApplicationInvokeIndication Class Reference

`#include <gcc.h>`

Inheritance diagram for GCC_ApplicationInvokeIndication:

List of all members.

## Public Types

enum | OptionalFields { e_destinationNodes }

## Public Member Functions

| GCC_ApplicationInvokeIndication (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

GCC_ArrayOf_ApplicationInvokeSpecifier | m_applicationProtocolEntiyList
GCC_ArrayOf_UserID | m_destinationNodes

## Member Enumeration Documentation

enum GCC_ApplicationInvokeIndication::OptionalFields

Enumerator:

  e_destinationNodes |

## Constructor & Destructor Documentation

GCC_ApplicationInvokeIndication::GCC_ApplicationInvokeIndication | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX GCC_ApplicationInvokeIndication::GetDataLength | ( |  | ) | const

PBoolean GCC_ApplicationInvokeIndication::Decode | ( | PASN_Stream & | strm | ) |

void GCC_ApplicationInvokeIndication::Encode | ( | PASN_Stream & | strm | ) | const

void GCC_ApplicationInvokeIndication::PrintOn | ( | ostream & | strm | ) | const

Comparison GCC_ApplicationInvokeIndication::Compare | ( | const PObject & | obj | ) | const

PObject* GCC_ApplicationInvokeIndication::Clone | ( |  | ) | const

## Member Data Documentation

GCC_ArrayOf_ApplicationInvokeSpecifier GCC_ApplicationInvokeIndication::m_applicationProtocolEntiyList

GCC_ArrayOf_UserID GCC_ApplicationInvokeIndication::m_destinationNodes

The documentation for this class was generated from the following file:

- gcc.h